Package ru.bgcrm.plugin.bgbilling.proto.model.status

# Enum Class ContractStatusFutureTask.Status

java.lang.Object
java.lang.Enum<ContractStatusFutureTask.Status>
ru.bgcrm.plugin.bgbilling.proto.model.status.ContractStatusFutureTask.Status

All Implemented Interfaces:
  `Serializable`, `Comparable<ContractStatusFutureTask.Status>`, `Constable`

Enclosing class:
  `ContractStatusFutureTask`

public static enum ContractStatusFutureTask.Status extends Enum<ContractStatusFutureTask.Status>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACTIVE`
  `ALL`
  `CANCEL`
  `EXECUTED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getId()`
  `String`
  `getTitle()`
  `static ContractStatusFutureTask.Status`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ContractStatusFutureTask.Status[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final ContractStatusFutureTask.Status ALL

  - ### ACTIVE

    public static final ContractStatusFutureTask.Status ACTIVE

  - ### EXECUTED

    public static final ContractStatusFutureTask.Status EXECUTED

  - ### CANCEL

    public static final ContractStatusFutureTask.Status CANCEL

- ## Method Details

  - ### values

    public static ContractStatusFutureTask.Status[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ContractStatusFutureTask.Status valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getId

    public int getId()

  - ### getTitle

    public String getTitle()